Page MenuHomePhabricator

replace item_container benchmark
ClosedPublic

Authored by bu5hm4n on Aug 18 2019, 4:58 AM.

Details

Summary

the new one has the correct name, can test grid and list, has a
changable amount of items. Additionally, it prints the pid on startup, which is usefull for perf related debugging.

Depends on D9608

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Aug 18 2019, 4:58 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.Aug 18 2019, 4:58 AM
bu5hm4n updated this revision to Diff 24170.Aug 18 2019, 7:10 AM
bu5hm4n edited the summary of this revision. (Show Details)

exit on missuse

cedric requested changes to this revision.Aug 19 2019, 4:26 PM
cedric added inline comments.
src/benchmarks/elementary/collection.c
58

This look like a timeout thingy, maybe you can use efl_loop_timeout instead?

102

build grid and build list are very very similar. Could you refactor it a bit?

This revision now requires changes to proceed.Aug 19 2019, 4:26 PM
bu5hm4n updated this revision to Diff 24249.Aug 19 2019, 10:59 PM

share more code

cedric accepted this revision.Aug 20 2019, 12:10 PM
This revision is now accepted and ready to land.Aug 20 2019, 12:10 PM
Closed by commit rEFL8520c648b36d: replace item_container benchmark (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyAug 20 2019, 10:52 PM
This revision was automatically updated to reflect the committed changes.